This is an automated email from the ASF dual-hosted git repository.

yiguolei pushed a commit to branch branch-1.1-lts
in repository https://gitbox.apache.org/repos/asf/doris.git


The following commit(s) were added to refs/heads/branch-1.1-lts by this push:
     new daa40a018a [chore](bin) check max_vm_count in start_be.sh (#14133)
daa40a018a is described below

commit daa40a018a0083e38bb0b4a6d6d34810f7abb334
Author: Yongqiang YANG <[email protected]>
AuthorDate: Thu Nov 10 08:39:52 2022 +0800

    [chore](bin) check max_vm_count in start_be.sh (#14133)
    
    If max_vm_count is not large enough, doris would crash sometimes.
---
 bin/start_be.sh | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/bin/start_be.sh b/bin/start_be.sh
index ca9bdd483f..d314fa0146 100755
--- a/bin/start_be.sh
+++ b/bin/start_be.sh
@@ -53,6 +53,14 @@ export DORIS_HOME=$(
     pwd
 )
 
+if [[ "$(uname -s)" != 'Darwin' ]]; then
+    MAX_MAP_COUNT="$(sysctl -n vm.max_map_count)"
+    if [[ "${MAX_MAP_COUNT}" -lt 2000000 ]]; then
+        echo "Please set vm.max_map_count to be 2000000. sysctl -w 
vm.max_map_count=2000000"
+        exit 1
+    fi
+fi
+
 # export env variables from be.conf
 #
 # UDF_RUNTIME_DIR


---------------------------------------------------------------------
To unsubscribe, e-mail: [email protected]
For additional commands, e-mail: [email protected]

Reply via email to